using SwanCSharp;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.IO;
using System.Text;
using System.Windows.Forms;

namespace ConfigApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        public Configurator gobjConfig;

        public static class AppConfig
        {
            public static string PathFiles;
            public static int TimeOut;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            try
            {
                gobjConfig = new Configurator("MyAppConf.cfg");
            }
            catch
            {
            }
        }

        private void mnuModify_Click(object sender, EventArgs e)
        {
            gobjConfig.ShowConfigurationWindow(false, true, Configurator.InterfaceLanguage.English);
        }

        private void mnuView_Click(object sender, EventArgs e)
        {
            gobjConfig.ShowConfigurationWindow(true, false, Configurator.InterfaceLanguage.English);
        }

    }
}